dudley/src/Assemble_integrate.cpp File Reference
`#include "Assemble.h"`
`#include "Util.h"`
`#include <escript/index.h>`

## Namespaces

| dudley
| A suite of factory methods for creating 2D and 3D dudley domains.

## Functions

template<typename Scalar >
void | dudley::Assemble_integrate (const NodeFile *nodes, const ElementFile *elements, const escript::Data &data, std::vector< Scalar > &integrals)
| integrates data on quadrature points More...
template void | dudley::Assemble_integrate< real_t > (const NodeFile *nodes, const ElementFile *elements, const escript::Data &data, std::vector< real_t > &out)
template void | dudley::Assemble_integrate< cplx_t > (const NodeFile *nodes, const ElementFile *elements, const escript::Data &data, std::vector< cplx_t > &out)